## sfxr-qt 1.5.1+ds

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.17)
project(sfxr-qt
    VERSION 1.5.1
    DESCRIPTION "Retro sound effect generator"
    HOMEPAGE_URL "https://github.com/agateau/sfxr-qt"
)
include(CTest)

set(AUTHOR_NAME "Aurélien Gâteau")
set(AUTHOR_EMAIL "mail@agateau.com")
set(ORGANIZATION_NAME "agateau.com")
set(INVERSE_ORGANIZATION_NAME "com.agateau")

set(APP_HUMAN_NAME "SFXR-Qt")

set(APP_NAME ${PROJECT_NAME})
set(APPLIB_NAME ${PROJECT_NAME}lib)

list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

# Dependencies
find_package(Qt5 CONFIG REQUIRED Gui Quick Widgets Concurrent Test)
find_package(ECM REQUIRED NO_MODULE)
list(APPEND CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
find_package(SDL REQUIRED)
include(3rdparty/qpropgen/cmake/qpropgen.cmake)

# Build flags
if (CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_CLANGXX)
    add_compile_options(-Wall -Woverloaded-virtual)
endif()
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH ON)

# Source dirs
if (USE_SYSTEM_CATCH2)
   find_package(Catch2 REQUIRED)
else()
    add_subdirectory(3rdparty/catch2)
endif()
add_subdirectory(src)
if (BUILD_TESTING)
    enable_testing() # must come *before* adding tests directory
    add_subdirectory(tests)
endif()
add_subdirectory(packaging)

=== tests/CMakeLists.txt ===
add_custom_target(check
    COMMAND ${CMAKE_CTEST_COMMAND} --verbose --build-config "$<CONFIG>"
)

add_executable(tests
    tests.cpp
    SoundTest.cpp
    SynthesizerTest.cpp
    TestUtils.cpp
)

configure_file(TestConfig.h.in TestConfig.h @ONLY)

target_link_libraries(tests
    ${APPLIB_NAME}
    Qt5::Test
    Catch2::Catch2
)

target_include_directories(tests
    PRIVATE ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR})

add_test(NAME tests COMMAND tests)

# Before running tests, make sure tests they are built if necessary
add_dependencies(check tests)

=== 3rdparty/catch2/src/CMakeLists.txt ===
include(CatchMiscFunctions)

# CMake derives a Visual Studio project GUID from the file path but can be overridden via a property
# (see https://gitlab.kitware.com/cmake/cmake/-/commit/c85367f4).  Using a non-constant GUID
# can cause problems if other projects/repos want to reference the vcxproj file,
# so we force a constant GUID here.
set(Catch2_GUID_CMAKE "8d538cbe-01bf-4a2e-a98a-6c368fdf13d7" CACHE INTERNAL "Project GUID")
set(Catch2WithMain_GUID_CMAKE "8bd3552a-2cfb-4a59-ab15-2031b97ada1e" CACHE INTERNAL "Project GUID")

set(BENCHMARK_HEADERS
  ${SOURCES_DIR}/benchmark/catch_benchmark.hpp
  ${SOURCES_DIR}/benchmark/catch_benchmark_all.hpp
  ${SOURCES_DIR}/benchmark/catch_chronometer.hpp
  ${SOURCES_DIR}/benchmark/catch_clock.hpp
  ${SOURCES_DIR}/benchmark/catch_constructor.hpp
  ${SOURCES_DIR}/benchmark/catch_environment.hpp
  ${SOURCES_DIR}/benchmark/catch_estimate.hpp
  ${SOURCES_DIR}/benchmark/catch_execution_plan.hpp
  ${SOURCES_DIR}/benchmark/catch_optimizer.hpp
  ${SOURCES_DIR}/benchmark/catch_outlier_classification.hpp
  ${SOURCES_DIR}/benchmark/catch_sample_analysis.hpp
  ${SOURCES_DIR}/benchmark/detail/catch_analyse.hpp
  ${SOURCES_DIR}/benchmark/detail/catch_benchmark_function.hpp
  ${SOURCES_DIR}/benchmark/detail/catch_benchmark_stats.hpp
  ${SOURCES_DIR}/benchmark/detail/catch_benchmark_stats_fwd.hpp
  ${SOURCES_DIR}/benchmark/detail/catch_complete_invoke.hpp
  ${SOURCES_DIR}/benchmark/detail/catch_estimate_clock.hpp
  ${SOURCES_DIR}/benchmark/detail/catch_measure.hpp
  ${SOURCES_DIR}/benchmark/detail/catch_repeat.hpp
  ${SOURCES_DIR}/benchmark/detail/catch_run_for_at_least.hpp
  ${SOURCES_DIR}/benchmark/detail/catch_stats.hpp
  ${SOURCES_DIR}/benchmark/detail/catch_timing.hpp
)
set(BENCHMARK_SOURCES
  ${SOURCES_DIR}/benchmark/catch_chronometer.cpp
  ${SOURCES_DIR}/benchmark/detail/catch_benchmark_function.cpp
  ${SOURCES_DIR}/benchmark/detail/catch_run_for_at_least.cpp
  ${SOURCES_DIR}/benchmark/detail/catch_stats.cpp
)
set(BENCHMARK_FILES ${BENCHMARK_HEADERS} ${BENCHMARK_SOURCES})


set(IMPL_HEADERS
 "${PROJECT_BINARY_DIR}/generated-includes/catch2/catch_user_config.hpp"
  ${SOURCES_DIR}/catch_user_config.hpp.in
  ${SOURCES_DIR}/catch_all.hpp
  ${SOURCES_DIR}/catch_approx.hpp
  ${SOURCES_DIR}/catch_assertion_info.hpp
  ${SOURCES_DIR}/catch_assertion_result.hpp
  ${SOURCES_DIR}/catch_config.hpp
  ${SOURCES_DIR}/catch_get_random_seed.hpp
  ${SOURCES_DIR}/catch_message.hpp
  ${SOURCES_DIR}/catch_section_info.hpp
  ${SOURCES_DIR}/catch_session.hpp
  ${SOURCES_DIR}/catch_tag_alias.hpp
  ${SOURCES_DIR}/catch_tag_alias_autoregistrar.hpp
  ${SOURCES_DIR}/catch_template_test_macros.hpp
  ${SOURCES_DIR}/catch_test_case_info.hpp
  ${SOURCES_DIR}/catch_test_macros.hpp
  ${SOURCES_DIR}/catch_test_spec.hpp
  ${SOURCES_DIR}/catch_timer.hpp
  ${SOURCES_DIR}/catch_tostring.hpp
  ${SOURCES_DIR}/catch_totals.hpp
  ${SOURCES_DIR}/catch_translate_exception.hpp
  ${SOURCES_DIR}/catch_version.hpp
  ${SOURCES_DIR}/catch_version_macros.hpp
  ${SOURCES_DIR}/internal/catch_assertion_handler.hpp
  ${SOURCES_DIR}/internal/catch_case_insensitive_comparisons.hpp
  ${SOURCES_DIR}/internal/catch_case_sensitive.hpp
  ${SOURCES_DIR}/internal/catch_clara.hpp
  ${SOURCES_DIR}/internal/catch_commandline.hpp
  ${SOURCES_DIR}/internal/catch_compare_traits.hpp
  ${SOURCES_DIR}/internal/catch_compiler_capabilities.hpp
  ${SOURCES_DIR}/internal/catch_config_android_logwrite.hpp
  ${SOURCES_DIR}/internal/catch_config_counter.hpp
  ${SOURCES_DIR}/internal/catch_config_static_analysis_support.hpp
  ${SOURCES_DIR}/internal/catch_config_uncaught_exceptions.hpp
  ${SOURCES_DIR}/internal/catch_config_wchar.hpp
  ${SOURCES_DIR}/internal/catch_console_colour.hpp
  ${SOURCES_DIR}/internal/catch_console_width.hpp
  ${SOURCES_DIR}/internal/catch_container_nonmembers.hpp
  ${SOURCES_DIR}/internal/catch_context.hpp
  ${SOURCES_DIR}/internal/catch_debug_console.hpp
  ${SOURCES_DIR}/internal/catch_debugger.hpp
  ${SOURCES_DIR}/internal/catch_decomposer.hpp
  ${SOURCES_DIR}/internal/catch_enforce.hpp
  ${SOURCES_DIR}/internal/catch_enum_values_registry.hpp
  ${SOURCES_DIR}/internal/catch_errno_guard.hpp
  ${SOURCES_DIR}/internal/catch_exception_translator_registry.hpp
  ${SOURCES_DIR}/internal/catch_fatal_condition_handler.hpp
  ${SOURCES_DIR}/internal/catch_floating_point_helpers.hpp
  ${SOURCES_DIR}/internal/catch_getenv.hpp
  ${SOURCES_DIR}/internal/catch_istream.hpp
  ${SOURCES_DIR}/internal/catch_is_permutation.hpp
  ${SOURCES_DIR}/internal/catch_lazy_expr.hpp
  ${SOURCES_DIR}/internal/catch_leak_detector.hpp
  ${SOURCES_DIR}/internal/catch_list.hpp
  ${SOURCES_DIR}/internal/catch_logical_traits.hpp
  ${SOURCES_DIR}/internal/catch_message_info.hpp
  ${SOURCES_DIR}/internal/catch_meta.hpp
  ${SOURCES_DIR}/internal/catch_move_and_forward.hpp
  ${SOURCES_DIR}/internal/catch_noncopyable.hpp
  ${SOURCES_DIR}/internal/catch_optional.hpp
  ${SOURCES_DIR}/internal/catch_output_redirect.hpp
  ${SOURCES_DIR}/internal/catch_parse_numbers.hpp
  ${SOURCES_DIR}/internal/catch_platform.hpp
  ${SOURCES_DIR}/internal/catch_polyfills.hpp
  ${SOURCES_DIR}/internal/catch_preprocessor.hpp
  ${SOURCES_DIR}/internal/catch_preprocessor_remove_parens.hpp
  ${SOURCES_DIR}/internal/catch_random_number_generator.hpp
  ${SOURCES_DIR}/internal/catch_random_seed_generation.hpp
  ${SOURCES_DIR}/internal/catch_reporter_registry.hpp
  ${SOURCES_DIR}/internal/catch_reporter_spec_parser.hpp
  ${SOURCES_DIR}/internal/catch_result_type.hpp
  ${SOURCES_DIR}/internal/catch_reusable_string_stream.hpp
  ${SOURCES_DIR}/internal/catch_run_context.hpp
  ${SOURCES_DIR}/internal/catch_section.hpp
  ${SOURCES_DIR}/internal/catch_sharding.hpp
  ${SOURCES_DIR}/internal/catch_singletons.hpp
  ${SOURCES_DIR}/internal/catch_source_line_info.hpp
  ${SOURCES_DIR}/internal/catch_startup_exception_registry.hpp
  ${SOURCES_DIR}/internal/catch_stdstreams.hpp
  ${SOURCES_DIR}/internal/catch_stream_end_stop.hpp
  ${SOURCES_DIR}/internal/catch_string_manip.hpp
  ${SOURCES_DIR}/internal/catch_stringref.hpp
  ${SOURCES_DIR}/internal/catch_tag_alias_registry.hpp
  ${SOURCES_DIR}/internal/catch_template_test_registry.hpp
  ${SOURCES_DIR}/internal/catch_test_case_info_hasher.hpp
  ${SOURCES_DIR}/internal/catch_test_case_registry_impl.hpp
  ${SOURCES_DIR}/internal/catch_test_case_tracker.hpp
  ${SOURCES_DIR}/internal/catch_test_failure_exception.hpp
  ${SOURCES_DIR}/internal/catch_test_macro_impl.hpp
  ${SOURCES_DIR}/internal/catch_test_registry.hpp
  ${SOURCES_DIR}/internal/catch_test_run_info.hpp
  ${SOURCES_DIR}/internal/catch_test_spec_parser.hpp
  ${SOURCES_DIR}/internal/catch_textflow.hpp
  ${SOURCES_DIR}/internal/catch_to_string.hpp
  ${SOURCES_DIR}/internal/catch_uncaught_exceptions.hpp
  ${SOURCES_DIR}/internal/catch_unique_name.hpp
  ${SOURCES_DIR}/internal/catch_unique_ptr.hpp
  ${SOURCES_DIR}/internal/catch_void_type.hpp
  ${SOURCES_DIR}/internal/catch_wildcard_pattern.hpp
  ${SOURCES_DIR}/internal/catch_windows_h_proxy.hpp
  ${SOURCES_DIR}/internal/catch_xmlwriter.hpp
)
set(IMPL_SOURCES
  ${SOURCES_DIR}/catch_approx.cpp
  ${SOURCES_DIR}/catch_assertion_result.cpp
  ${SOURCES_DIR}/catch_config.cpp
  ${SOURCES_DIR}/catch_get_random_seed.cpp
  ${SOURCES_DIR}/catch_message.cpp
  ${SOURCES_DIR}/catch_registry_hub.cpp
  ${SOURCES_DIR}/catch_session.cpp
  ${SOURCES_DIR}/catch_tag_alias_autoregistrar.cpp
  ${SOURCES_DIR}/catch_test_case_info.cpp
  ${SOURCES_DIR}/catch_test_spec.cpp
  ${SOURCES_DIR}/catch_timer.cpp
  ${SOURCES_DIR}/catch_tostring.cpp
  ${SOURCES_DIR}/catch_totals.cpp
  ${SOURCES_DIR}/catch_translate_exception.cpp
  ${SOURCES_DIR}/catch_version.cpp
  ${SOURCES_DIR}/internal/catch_assertion_handler.cpp
  ${SOURCES_DIR}/internal/catch_case_insensitive_comparisons.cpp
  ${SOURCES_DIR}/internal/catch_clara.cpp
  ${SOURCES_DIR}/internal/catch_commandline.cpp
  ${SOURCES_DIR}/internal/catch_console_colour.cpp
  ${SOURCES_DIR}/internal/catch_context.cpp
  ${SOURCES_DIR}/internal/catch_debug_console.cpp
  ${SOURCES_DIR}/internal/catch_debugger.cpp
  ${SOURCES_DIR}/internal/catch_decomposer.cpp
  ${SOURCES_DIR}/internal/catch_enforce.cpp
  ${SOURCES_DIR}/internal/catch_enum_values_registry.cpp
  ${SOURCES_DIR}/internal/catch_errno_guard.cpp
  ${SOURCES_DIR}/internal/catch_exception_translator_registry.cpp
  ${SOURCES_DIR}/internal/catch_fatal_condition_handler.cpp
  ${SOURCES_DIR}/internal/catch_floating_point_helpers.cpp
  ${SOURCES_DIR}/internal/catch_getenv.cpp
  ${SOURCES_DIR}/internal/catch_istream.cpp
  ${SOURCES_DIR}/internal/catch_lazy_expr.cpp
  ${SOURCES_DIR}/internal/catch_leak_detector.cpp
  ${SOURCES_DIR}/internal/catch_list.cpp
  ${SOURCES_DIR}/internal/catch_message_info.cpp
  ${SOURCES_DIR}/internal/catch_output_redirect.cpp
  ${SOURCES_DIR}/internal/catch_parse_numbers.cpp
  ${SOURCES_DIR}/internal/catch_polyfills.cpp
  ${SOURCES_DIR}/internal/catch_random_number_generator.cpp
  ${SOURCES_DIR}/internal/catch_random_seed_generation.cpp
  ${SOURCES_DIR}/internal/catch_reporter_registry.cpp
  ${SOURCES_DIR}/internal/catch_reporter_spec_parser.cpp
  ${SOURCES_DIR}/internal/catch_result_type.cpp
  ${SOURCES_DIR}/internal/catch_reusable_string_stream.cpp
  ${SOURCES_DIR}/internal/catch_run_context.cpp
  ${SOURCES_DIR}/internal/catch_section.cpp
  ${SOURCES_DIR}/internal/catch_singletons.cpp
  ${SOURCES_DIR}/internal/catch_source_line_info.cpp
  ${SOURCES_DIR}/internal/catch_startup_exception_registry.cpp
  ${SOURCES_DIR}/internal/catch_stdstreams.cpp
  ${SOURCES_DIR}/internal/catch_string_manip.cpp
  ${SOURCES_DIR}/internal/catch_stringref.cpp
  ${SOURCES_DIR}/internal/catch_tag_alias_registry.cpp
  ${SOURCES_DIR}/internal/catch_test_case_info_hasher.cpp
  ${SOURCES_DIR}/internal/catch_test_case_registry_impl.cpp
  ${SOURCES_DIR}/internal/catch_test_case_tracker.cpp
  ${SOURCES_DIR}/internal/catch_test_failure_exception.cpp
  ${SOURCES_DIR}/internal/catch_test_registry.cpp
  ${SOURCES_DIR}/internal/catch_test_spec_parser.cpp
  ${SOURCES_DIR}/internal/catch_textflow.cpp
  ${SOURCES_DIR}/internal/catch_uncaught_exceptions.cpp
  ${SOURCES_DIR}/internal/catch_wildcard_pattern.cpp
  ${SOURCES_DIR}/internal/catch_xmlwriter.cpp
)
set(INTERNAL_FILES ${IMPL_SOURCES} ${IMPL_HEADERS})

set(INTERFACE_HEADERS
  ${SOURCES_DIR}/interfaces/catch_interfaces_all.hpp
  ${SOURCES_DIR}/interfaces/catch_interfaces_capture.hpp
  ${SOURCES_DIR}/interfaces/catch_interfaces_config.hpp
  ${SOURCES_DIR}/interfaces/catch_interfaces_enum_values_registry.hpp
  ${SOURCES_DIR}/interfaces/catch_interfaces_exception.hpp
  ${SOURCES_DIR}/interfaces/catch_interfaces_generatortracker.hpp
  ${SOURCES_DIR}/interfaces/catch_interfaces_registry_hub.hpp
  ${SOURCES_DIR}/interfaces/catch_interfaces_reporter.hpp
  ${SOURCES_DIR}/interfaces/catch_interfaces_reporter_factory.hpp
  ${SOURCES_DIR}/interfaces/catch_interfaces_tag_alias_registry.hpp
  ${SOURCES_DIR}/interfaces/catch_interfaces_test_invoker.hpp
  ${SOURCES_DIR}/interfaces/catch_interfaces_testcase.hpp
)
set(INTERFACE_SOURCES
  ${SOURCES_DIR}/interfaces/catch_interfaces_capture.cpp
  ${SOURCES_DIR}/interfaces/catch_interfaces_config.cpp
  ${SOURCES_DIR}/interfaces/catch_interfaces_exception.cpp
  ${SOURCES_DIR}/interfaces/catch_interfaces_generatortracker.cpp
  ${SOURCES_DIR}/interfaces/catch_interfaces_registry_hub.cpp
  ${SOURCES_DIR}/interfaces/catch_interfaces_reporter.cpp
  ${SOURCES_DIR}/interfaces/catch_interfaces_reporter_factory.cpp
  ${SOURCES_DIR}/interfaces/catch_interfaces_testcase.cpp
)
set(INTERFACE_FILES ${INTERFACE_HEADERS} ${INTERFACE_SOURCES})

set(GENERATOR_HEADERS
  ${SOURCES_DIR}/generators/catch_generator_exception.hpp
  ${SOURCES_DIR}/generators/catch_generators.hpp
  ${SOURCES_DIR}/generators/catch_generators_adapters.hpp
  ${SOURCES_DIR}/generators/catch_generators_all.hpp
  ${SOURCES_DIR}/generators/catch_generators_random.hpp
  ${SOURCES_DIR}/generators/catch_generators_range.hpp
)
set(GENERATOR_SOURCES
  ${SOURCES_DIR}/generators/catch_generator_exception.cpp

=== src/ui/icons/CMakeLists.txt ===
include(ECMInstallIcons)

if (UNIX AND NOT APPLE)
    ecm_install_icons(ICONS
            16-apps-${APP_NAME}.png
            32-apps-${APP_NAME}.png
            48-apps-${APP_NAME}.png
        DESTINATION share/icons
    )
endif()

=== debian/changelog ===
sfxr-qt (1.5.1+ds-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.7.0.

 -- Alex Myczko <tar@debian.org>  Tue, 25 Jun 2024 00:18:00 +0000

sfxr-qt (1.5.0+ds-3) unstable; urgency=medium

  * Team upload.
  * Use new team address.

 -- Bastian Germann <bage@debian.org>  Thu, 12 Oct 2023 01:28:39 +0200

=== debian/control ===
Source: sfxr-qt
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Alex Myczko <tar@debian.org>
Build-Depends: debhelper-compat (= 13),
 cmake,
 extra-cmake-modules,
 libsdl1.2-dev,
 qtbase5-dev,
 qtdeclarative5-dev,
 python3-yaml,
 python3-jinja2,
 python3-setuptools,
 qml-module-qtquick-dialogs
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/multimedia-team/sfxr-qt.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/sfxr-qt
Homepage: https://github.com/agateau/sfxr-qt

Package: sfxr-qt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 qml-module-qtquick-extras,
 qml-module-qtquick-layouts,
 qml-module-qtquick-dialogs,
 qml-module-qtquick-controls,
 qml-module-qtquick-controls2,
 qml-module-qtquick2,
 qml-module-qtquick-window2
Description: sound effect generator, QtQuick port of sfxr
 This little tool was made to provide a simple means of getting basic sound
 effects into a game. You just need to hit a few buttons in this application
 to get some largely randomized effects. All the parameters used to create
 each sound are manually tweakable to allow fine-tuning if you feel like
 getting your hands dirty.
